diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/deprecated.php	2012-09-23 12:48:24.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/deprecated.php	2013-03-01 11:57:49.000000000 -0600
***************
*** 472,485 ****
  	function WP_User_Search ($search_term = '', $page = '', $role = '') {
  		_deprecated_function( __FUNCTION__, '3.1', 'WP_User_Query' );
  
! 		$this->search_term = stripslashes( $search_term );
  		$this->raw_page = ( '' == $page ) ? false : (int) $page;
  		$this->page = (int) ( '' == $page ) ? 1 : $page;
  		$this->role = $role;
  
  		$this->prepare_query();
  		$this->query();
- 		$this->prepare_vars_for_template_usage();
  		$this->do_paging();
  	}
  
--- 472,484 ----
  	function WP_User_Search ($search_term = '', $page = '', $role = '') {
  		_deprecated_function( __FUNCTION__, '3.1', 'WP_User_Query' );
  
! 		$this->search_term = wp_unslash( $search_term );
  		$this->raw_page = ( '' == $page ) ? false : (int) $page;
  		$this->page = (int) ( '' == $page ) ? 1 : $page;
  		$this->role = $role;
  
  		$this->prepare_query();
  		$this->query();
  		$this->do_paging();
  	}
  
***************
*** 550,558 ****
  	 * @since 2.1.0
  	 * @access public
  	 */
! 	function prepare_vars_for_template_usage() {
! 		$this->search_term = stripslashes($this->search_term); // done with DB, from now on we want slashes gone
! 	}
  
  	/**
  	 * {@internal Missing Short Description}}
--- 549,555 ----
  	 * @since 2.1.0
  	 * @access public
  	 */
! 	function prepare_vars_for_template_usage() {}
  
  	/**
  	 * {@internal Missing Short Description}}
***************
*** 1015,1021 ****
   * @since 1.2.0
   * @deprecated 3.5.0
   * @deprecated Use image_resize()
!  * @see  image_resize()
   *
   * @param mixed $file Filename of the original image, Or attachment id.
   * @param int $max_side Maximum length of a single side for the thumbnail.
--- 1012,1018 ----
   * @since 1.2.0
   * @deprecated 3.5.0
   * @deprecated Use image_resize()
!  * @see image_resize()
   *
   * @param mixed $file Filename of the original image, Or attachment id.
   * @param int $max_side Maximum length of a single side for the thumbnail.
***************
*** 1023,1028 ****
   * @return string Thumbnail path on success, Error string on failure.
   */
  function wp_create_thumbnail( $file, $max_side, $deprecated = '' ) {
! 	_deprecated_function( __FUNCTION__, '3.5', 'image_resize' );
  	return apply_filters( 'wp_create_thumbnail', image_resize( $file, $max_side, $max_side ) );
  }
--- 1020,1025 ----
   * @return string Thumbnail path on success, Error string on failure.
   */
  function wp_create_thumbnail( $file, $max_side, $deprecated = '' ) {
! 	_deprecated_function( __FUNCTION__, '3.5', 'image_resize()' );
  	return apply_filters( 'wp_create_thumbnail', image_resize( $file, $max_side, $max_side ) );
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/export.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/export.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/export.php	2012-09-21 16:48:52.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/export.php	2013-03-01 10:27:03.000000000 -0600
***************
*** 371,377 ****
  		<link><?php the_permalink_rss() ?></link>
  		<pubDate><?php echo mysql2date( 'D, d M Y H:i:s +0000', get_post_time( 'Y-m-d H:i:s', true ), false ); ?></pubDate>
  		<dc:creator><?php echo get_the_author_meta( 'login' ); ?></dc:creator>
! 		<guid isPermaLink="false"><?php esc_url( the_guid() ); ?></guid>
  		<description></description>
  		<content:encoded><?php echo wxr_cdata( apply_filters( 'the_content_export', $post->post_content ) ); ?></content:encoded>
  		<excerpt:encoded><?php echo wxr_cdata( apply_filters( 'the_excerpt_export', $post->post_excerpt ) ); ?></excerpt:encoded>
--- 371,377 ----
  		<link><?php the_permalink_rss() ?></link>
  		<pubDate><?php echo mysql2date( 'D, d M Y H:i:s +0000', get_post_time( 'Y-m-d H:i:s', true ), false ); ?></pubDate>
  		<dc:creator><?php echo get_the_author_meta( 'login' ); ?></dc:creator>
! 		<guid isPermaLink="false"><?php the_guid(); ?></guid>
  		<description></description>
  		<content:encoded><?php echo wxr_cdata( apply_filters( 'the_content_export', $post->post_content ) ); ?></content:encoded>
  		<excerpt:encoded><?php echo wxr_cdata( apply_filters( 'the_excerpt_export', $post->post_excerpt ) ); ?></excerpt:encoded>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/file.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/file.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/file.php	2013-06-21 01:12:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/file.php	2013-07-31 01:53:06.000000000 -0500
***************
*** 90,96 ****
  		$home_path = ABSPATH;
  	}
  
! 	return $home_path;
  }
  
  /**
--- 90,96 ----
  		$home_path = ABSPATH;
  	}
  
! 	return str_replace( '\\', '/', $home_path );
  }
  
  /**
***************
*** 497,503 ****
  	if ( ! $tmpfname )
  		return new WP_Error('http_no_file', __('Could not create Temporary file.'));
  
! 	$response = wp_remote_get( $url, array( 'timeout' => $timeout, 'stream' => true, 'filename' => $tmpfname, 'reject_unsafe_urls' => true ) );
  
  	if ( is_wp_error( $response ) ) {
  		unlink( $tmpfname );
--- 497,503 ----
  	if ( ! $tmpfname )
  		return new WP_Error('http_no_file', __('Could not create Temporary file.'));
  
! 	$response = wp_safe_remote_get( $url, array( 'timeout' => $timeout, 'stream' => true, 'filename' => $tmpfname ) );
  
  	if ( is_wp_error( $response ) ) {
  		unlink( $tmpfname );
***************
*** 911,923 ****
  	$credentials = get_option('ftp_credentials', array( 'hostname' => '', 'username' => ''));
  
  	// If defined, set it to that, Else, If POST'd, set it to that, If not, Set it to whatever it previously was(saved details in option)
! 	$credentials['hostname'] = defined('FTP_HOST') ? FTP_HOST : (!empty($_POST['hostname']) ? stripslashes($_POST['hostname']) : $credentials['hostname']);
! 	$credentials['username'] = defined('FTP_USER') ? FTP_USER : (!empty($_POST['username']) ? stripslashes($_POST['username']) : $credentials['username']);
! 	$credentials['password'] = defined('FTP_PASS') ? FTP_PASS : (!empty($_POST['password']) ? stripslashes($_POST['password']) : '');
  
  	// Check to see if we are setting the public/private keys for ssh
! 	$credentials['public_key'] = defined('FTP_PUBKEY') ? FTP_PUBKEY : (!empty($_POST['public_key']) ? stripslashes($_POST['public_key']) : '');
! 	$credentials['private_key'] = defined('FTP_PRIKEY') ? FTP_PRIKEY : (!empty($_POST['private_key']) ? stripslashes($_POST['private_key']) : '');
  
  	//sanitize the hostname, Some people might pass in odd-data:
  	$credentials['hostname'] = preg_replace('|\w+://|', '', $credentials['hostname']); //Strip any schemes off
--- 911,923 ----
  	$credentials = get_option('ftp_credentials', array( 'hostname' => '', 'username' => ''));
  
  	// If defined, set it to that, Else, If POST'd, set it to that, If not, Set it to whatever it previously was(saved details in option)
! 	$credentials['hostname'] = defined('FTP_HOST') ? FTP_HOST : (!empty($_POST['hostname']) ? wp_unslash( $_POST['hostname'] ) : $credentials['hostname']);
! 	$credentials['username'] = defined('FTP_USER') ? FTP_USER : (!empty($_POST['username']) ? wp_unslash( $_POST['username'] ) : $credentials['username']);
! 	$credentials['password'] = defined('FTP_PASS') ? FTP_PASS : (!empty($_POST['password']) ? wp_unslash( $_POST['password'] ) : '');
  
  	// Check to see if we are setting the public/private keys for ssh
! 	$credentials['public_key'] = defined('FTP_PUBKEY') ? FTP_PUBKEY : (!empty($_POST['public_key']) ? wp_unslash( $_POST['public_key'] ) : '');
! 	$credentials['private_key'] = defined('FTP_PRIKEY') ? FTP_PRIKEY : (!empty($_POST['private_key']) ? wp_unslash( $_POST['private_key'] ) : '');
  
  	//sanitize the hostname, Some people might pass in odd-data:
  	$credentials['hostname'] = preg_replace('|\w+://|', '', $credentials['hostname']); //Strip any schemes off
***************
*** 935,942 ****
  	else if ( (defined('FTP_SSL') && FTP_SSL) && 'ftpext' == $type ) //Only the FTP Extension understands SSL
  		$credentials['connection_type'] = 'ftps';
  	else if ( !empty($_POST['connection_type']) )
! 		$credentials['connection_type'] = stripslashes($_POST['connection_type']);
! 	else if ( !isset($credentials['connection_type']) ) //All else fails (And its not defaulted to something else saved), Default to FTP
  		$credentials['connection_type'] = 'ftp';
  
  	if ( ! $error &&
--- 935,942 ----
  	else if ( (defined('FTP_SSL') && FTP_SSL) && 'ftpext' == $type ) //Only the FTP Extension understands SSL
  		$credentials['connection_type'] = 'ftps';
  	else if ( !empty($_POST['connection_type']) )
! 		$credentials['connection_type'] = wp_unslash( $_POST['connection_type'] );
! 	else if ( !isset($credentials['connection_type']) ) //All else fails (And it's not defaulted to something else saved), Default to FTP
  		$credentials['connection_type'] = 'ftp';
  
  	if ( ! $error &&
***************
*** 989,995 ****
  });
  -->
  </script>
! <form action="<?php echo $form_post ?>" method="post">
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php _e('Connection Information') ?></h2>
--- 989,995 ----
  });
  -->
  </script>
! <form action="<?php echo esc_url( $form_post ) ?>" method="post">
  <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php _e('Connection Information') ?></h2>
***************
*** 1060,1066 ****
  <?php
  foreach ( (array) $extra_fields as $field ) {
  	if ( isset( $_POST[ $field ] ) )
! 		echo '<input type="hidden" name="' . esc_attr( $field ) . '" value="' . esc_attr( stripslashes( $_POST[ $field ] ) ) . '" />';
  }
  submit_button( __( 'Proceed' ), 'button', 'upgrade' );
  ?>
--- 1060,1066 ----
  <?php
  foreach ( (array) $extra_fields as $field ) {
  	if ( isset( $_POST[ $field ] ) )
! 		echo '<input type="hidden" name="' . esc_attr( $field ) . '" value="' . esc_attr( wp_unslash( $_POST[ $field ] ) ) . '" />';
  }
  submit_button( __( 'Proceed' ), 'button', 'upgrade' );
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/image-edit.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/image-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/image-edit.php	2013-01-24 12:40:14.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/image-edit.php	2013-07-05 10:45:43.000000000 -0500
***************
*** 13,19 ****
  	$sub_sizes = isset($meta['sizes']) && is_array($meta['sizes']);
  	$note = '';
  
! 	if ( is_array($meta) && isset($meta['width']) )
  		$big = max( $meta['width'], $meta['height'] );
  	else
  		die( __('Image data does not exist. Please re-upload the image.') );
--- 13,19 ----
  	$sub_sizes = isset($meta['sizes']) && is_array($meta['sizes']);
  	$note = '';
  
! 	if ( isset( $meta['width'], $meta['height'] ) )
  		$big = max( $meta['width'], $meta['height'] );
  	else
  		die( __('Image data does not exist. Please re-upload the image.') );
***************
*** 21,28 ****
  	$sizer = $big > 400 ? 400 / $big : 1;
  
  	$backup_sizes = get_post_meta( $post_id, '_wp_attachment_backup_sizes', true );
! 	$can_restore = !empty($backup_sizes) && isset($backup_sizes['full-orig'])
! 		&& $backup_sizes['full-orig']['file'] != basename($meta['file']);
  
  	if ( $msg ) {
  		if ( isset($msg->error) )
--- 21,29 ----
  	$sizer = $big > 400 ? 400 / $big : 1;
  
  	$backup_sizes = get_post_meta( $post_id, '_wp_attachment_backup_sizes', true );
! 	$can_restore = false;
! 	if ( ! empty( $backup_sizes ) && isset( $backup_sizes['full-orig'], $meta['file'] ) )
! 		$can_restore = $backup_sizes['full-orig']['file'] != basename( $meta['file'] );
  
  	if ( $msg ) {
  		if ( isset($msg->error) )
***************
*** 63,70 ****
  	<input type="hidden" id="imgedit-history-<?php echo $post_id; ?>" value="" />
  	<input type="hidden" id="imgedit-undone-<?php echo $post_id; ?>" value="0" />
  	<input type="hidden" id="imgedit-selection-<?php echo $post_id; ?>" value="" />
! 	<input type="hidden" id="imgedit-x-<?php echo $post_id; ?>" value="<?php echo $meta['width']; ?>" />
! 	<input type="hidden" id="imgedit-y-<?php echo $post_id; ?>" value="<?php echo $meta['height']; ?>" />
  
  	<div id="imgedit-crop-<?php echo $post_id; ?>" class="imgedit-crop-wrap">
  	<img id="image-preview-<?php echo $post_id; ?>" onload="imageEdit.imgLoaded('<?php echo $post_id; ?>')" src="<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>?action=imgedit-preview&amp;_ajax_nonce=<?php echo $nonce; ?>&amp;postid=<?php echo $post_id; ?>&amp;rand=<?php echo rand(1, 99999); ?>" />
--- 64,71 ----
  	<input type="hidden" id="imgedit-history-<?php echo $post_id; ?>" value="" />
  	<input type="hidden" id="imgedit-undone-<?php echo $post_id; ?>" value="0" />
  	<input type="hidden" id="imgedit-selection-<?php echo $post_id; ?>" value="" />
! 	<input type="hidden" id="imgedit-x-<?php echo $post_id; ?>" value="<?php echo isset( $meta['width'] ) ? $meta['width'] : 0; ?>" />
! 	<input type="hidden" id="imgedit-y-<?php echo $post_id; ?>" value="<?php echo isset( $meta['height'] ) ? $meta['height'] : 0; ?>" />
  
  	<div id="imgedit-crop-<?php echo $post_id; ?>" class="imgedit-crop-wrap">
  	<img id="image-preview-<?php echo $post_id; ?>" onload="imageEdit.imgLoaded('<?php echo $post_id; ?>')" src="<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>?action=imgedit-preview&amp;_ajax_nonce=<?php echo $nonce; ?>&amp;postid=<?php echo $post_id; ?>&amp;rand=<?php echo rand(1, 99999); ?>" />
***************
*** 81,90 ****
  	<div class="imgedit-group-top">
  		<a class="imgedit-help-toggle" onclick="imageEdit.toggleHelp(this);return false;" href="#"><strong><?php _e('Scale Image'); ?></strong></a>
  		<div class="imgedit-help">
! 		<p><?php _e('You can proportionally scale the original image. For best results the scaling should be done before performing any other operations on it like crop, rotate, etc. Note that if you make the image larger it may become fuzzy.'); ?></p>
  		<p><?php printf( __('Original dimensions %s'), $meta['width'] . '&times;' . $meta['height'] ); ?></p>
  		<div class="imgedit-submit">
! 		<span class="nowrap"><input type="text" id="imgedit-scale-width-<?php echo $post_id; ?>" onkeyup="imageEdit.scaleChanged(<?php echo $post_id; ?>, 1)" onblur="imageEdit.scaleChanged(<?php echo $post_id; ?>, 1)" style="width:4em;" value="<?php echo $meta['width']; ?>" />&times;<input type="text" id="imgedit-scale-height-<?php echo $post_id; ?>" onkeyup="imageEdit.scaleChanged(<?php echo $post_id; ?>, 0)" onblur="imageEdit.scaleChanged(<?php echo $post_id; ?>, 0)" style="width:4em;" value="<?php echo $meta['height']; ?>" />
  		<span class="imgedit-scale-warn" id="imgedit-scale-warn-<?php echo $post_id; ?>">!</span></span>
  		<input type="button" onclick="imageEdit.action(<?php echo "$post_id, '$nonce'"; ?>, 'scale')" class="button-primary" value="<?php esc_attr_e( 'Scale' ); ?>" />
  		</div>
--- 82,93 ----
  	<div class="imgedit-group-top">
  		<a class="imgedit-help-toggle" onclick="imageEdit.toggleHelp(this);return false;" href="#"><strong><?php _e('Scale Image'); ?></strong></a>
  		<div class="imgedit-help">
! 		<p><?php _e('You can proportionally scale the original image. For best results the scaling should be done before performing any other operations on it like crop, rotate, etc. Note that images can only be scaled down, not up.'); ?></p>
! 		<?php if ( isset( $meta['width'], $meta['height'] ) ): ?>
  		<p><?php printf( __('Original dimensions %s'), $meta['width'] . '&times;' . $meta['height'] ); ?></p>
+ 		<?php endif ?>
  		<div class="imgedit-submit">
! 		<span class="nowrap"><input type="text" id="imgedit-scale-width-<?php echo $post_id; ?>" onkeyup="imageEdit.scaleChanged(<?php echo $post_id; ?>, 1)" onblur="imageEdit.scaleChanged(<?php echo $post_id; ?>, 1)" style="width:4em;" value="<?php echo isset( $meta['width'] ) ? $meta['width'] : 0; ?>" />&times;<input type="text" id="imgedit-scale-height-<?php echo $post_id; ?>" onkeyup="imageEdit.scaleChanged(<?php echo $post_id; ?>, 0)" onblur="imageEdit.scaleChanged(<?php echo $post_id; ?>, 0)" style="width:4em;" value="<?php echo isset( $meta['height'] ) ? $meta['height'] : 0; ?>" />
  		<span class="imgedit-scale-warn" id="imgedit-scale-warn-<?php echo $post_id; ?>">!</span></span>
  		<input type="button" onclick="imageEdit.action(<?php echo "$post_id, '$nonce'"; ?>, 'scale')" class="button-primary" value="<?php esc_attr_e( 'Scale' ); ?>" />
  		</div>
***************
*** 454,460 ****
      if ( is_wp_error( $img ) )
          return false;
  
! 	$changes = !empty($_REQUEST['history']) ? json_decode( stripslashes($_REQUEST['history']) ) : null;
  	if ( $changes )
  		$img = image_edit_apply_changes( $img, $changes );
  
--- 457,463 ----
      if ( is_wp_error( $img ) )
          return false;
  
! 	$changes = !empty($_REQUEST['history']) ? json_decode( wp_unslash($_REQUEST['history']) ) : null;
  	if ( $changes )
  		$img = image_edit_apply_changes( $img, $changes );
  
***************
*** 499,505 ****
  					$delpath = apply_filters('wp_delete_file', $file);
  					@unlink($delpath);
  				}
! 			} else {
  				$backup_sizes["full-$suffix"] = array('width' => $meta['width'], 'height' => $meta['height'], 'file' => $parts['basename']);
  			}
  		}
--- 502,508 ----
  					$delpath = apply_filters('wp_delete_file', $file);
  					@unlink($delpath);
  				}
! 			} elseif ( isset( $meta['width'], $meta['height'] ) ) {
  				$backup_sizes["full-$suffix"] = array('width' => $meta['width'], 'height' => $meta['height'], 'file' => $parts['basename']);
  			}
  		}
***************
*** 587,593 ****
  			return $return;
  		}
  	} elseif ( !empty($_REQUEST['history']) ) {
! 		$changes = json_decode( stripslashes($_REQUEST['history']) );
  		if ( $changes )
  			$img = image_edit_apply_changes($img, $changes);
  	} else {
--- 590,596 ----
  			return $return;
  		}
  	} elseif ( !empty($_REQUEST['history']) ) {
! 		$changes = json_decode( wp_unslash($_REQUEST['history']) );
  		if ( $changes )
  			$img = image_edit_apply_changes($img, $changes);
  	} else {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/image.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/image.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/image.php	2012-11-22 03:52:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/image.php	2013-03-20 23:55:42.000000000 -0500
***************
*** 20,26 ****
   * @param int $dst_h The destination height.
   * @param int $src_abs Optional. If the source crop points are absolute.
   * @param string $dst_file Optional. The destination file to write to.
!  * @return string|WP_Error|false New filepath on success, WP_Error or false on failure.
   */
  function wp_crop_image( $src, $src_x, $src_y, $src_w, $src_h, $dst_w, $dst_h, $src_abs = false, $dst_file = false ) {
  	$src_file = $src;
--- 20,26 ----
   * @param int $dst_h The destination height.
   * @param int $src_abs Optional. If the source crop points are absolute.
   * @param string $dst_file Optional. The destination file to write to.
!  * @return string|WP_Error New filepath on success, WP_Error on failure.
   */
  function wp_crop_image( $src, $src_x, $src_y, $src_w, $src_h, $dst_w, $dst_h, $src_abs = false, $dst_file = false ) {
  	$src_file = $src;
***************
*** 54,59 ****
--- 54,62 ----
  	$dst_file = dirname( $dst_file ) . '/' . wp_unique_filename( dirname( $dst_file ), basename( $dst_file ) );
  
  	$result = $editor->save( $dst_file );
+ 	if ( is_wp_error( $result ) )
+ 		return $result;
+ 
  	return $dst_file;
  }
  
***************
*** 70,75 ****
--- 73,79 ----
  	$attachment = get_post( $attachment_id );
  
  	$metadata = array();
+ 	$support = false;
  	if ( preg_match('!^image/!', get_post_mime_type( $attachment )) && file_is_displayable_image($file) ) {
  		$imagesize = getimagesize( $file );
  		$metadata['width'] = $imagesize[0];
***************
*** 81,86 ****
--- 85,91 ----
  		// make thumbnails and other intermediate sizes
  		global $_wp_additional_image_sizes;
  
+ 		$sizes = array();
  		foreach ( get_intermediate_image_sizes() as $s ) {
  			$sizes[$s] = array( 'width' => '', 'height' => '', 'crop' => false );
  			if ( isset( $_wp_additional_image_sizes[$s]['width'] ) )
***************
*** 113,119 ****
--- 118,157 ----
  		if ( $image_meta )
  			$metadata['image_meta'] = $image_meta;
  
+ 	} elseif ( preg_match( '#^video/#', get_post_mime_type( $attachment ) ) ) {
+ 		$metadata = wp_read_video_metadata( $file );
+ 		$support = current_theme_supports( 'post-thumbnails', 'attachment:video' ) && post_type_supports( 'attachment:video', 'thumbnail' );
+ 	} elseif ( preg_match( '#^audio/#', get_post_mime_type( $attachment ) ) ) {
+ 		$metadata = wp_read_audio_metadata( $file );
+ 		$support = current_theme_supports( 'post-thumbnails', 'attachment:audio' ) && post_type_supports( 'attachment:audio', 'thumbnail' );
+ 	}
+ 
+ 	if ( $support && ! empty( $metadata['image']['data'] ) ) {
+ 		$ext = '.jpg';
+ 		switch ( $metadata['image']['mime'] ) {
+ 		case 'image/gif':
+ 			$ext = '.gif';
+ 			break;
+ 		case 'image/png':
+ 			$ext = '.png';
+ 			break;
+ 		}
+ 		$basename = str_replace( '.', '-', basename( $file ) ) . '-image' . $ext;
+ 		$uploaded = wp_upload_bits( $basename, '', $metadata['image']['data'] );
+ 		if ( false === $uploaded['error'] ) {
+ 			$attachment = array(
+ 				'post_mime_type' => $metadata['image']['mime'],
+ 				'post_type' => 'attachment',
+ 				'post_content' => '',
+ 			);
+ 			$sub_attachment_id = wp_insert_attachment( $attachment, $uploaded['file'] );
+ 			$attach_data = wp_generate_attachment_metadata( $sub_attachment_id, $uploaded['file'] );
+ 			wp_update_attachment_metadata( $sub_attachment_id, $attach_data );
+ 			update_post_meta( $attachment_id, '_thumbnail_id', $sub_attachment_id );
+ 		}
  	}
+ 	// remove the blob of binary data from the array
+ 	unset( $metadata['image']['data'] );
  
  	return apply_filters( 'wp_generate_attachment_metadata', $metadata, $attachment_id );
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/import.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/import.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/import.php	2012-11-17 01:20:04.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/import.php	2013-05-27 22:53:59.000000000 -0500
***************
*** 110,116 ****
  	if ( ! $popular_importers ) {
  		$url = add_query_arg( 'locale', get_locale(), 'http://api.wordpress.org/core/importers/1.0/' );
  		$options = array( 'user-agent' => 'WordPress/' . $wp_version . '; ' . home_url() );
! 		$popular_importers = maybe_unserialize( wp_remote_retrieve_body( wp_remote_get( $url, $options ) ) );
  
  		if ( is_array( $popular_importers ) )
  			set_site_transient( 'popular_importers_' . $locale, $popular_importers, 2 * DAY_IN_SECONDS );
--- 110,117 ----
  	if ( ! $popular_importers ) {
  		$url = add_query_arg( 'locale', get_locale(), 'http://api.wordpress.org/core/importers/1.0/' );
  		$options = array( 'user-agent' => 'WordPress/' . $wp_version . '; ' . home_url() );
! 		$response = wp_remote_get( $url, $options );
! 		$popular_importers = maybe_unserialize( wp_remote_retrieve_body( $response ) );
  
  		if ( is_array( $popular_importers ) )
  			set_site_transient( 'popular_importers_' . $locale, $popular_importers, 2 * DAY_IN_SECONDS );
